## cloud-init 0.6.3

=== Makefile ===

all: test

pylint:
	pylint cloudinit

pyflakes:
	pyflakes .

test:
	nosetests tests/unittests/

.PHONY: test pylint pyflakes
