## cloud-init 0.5.15

=== debian/changelog ===
cloud-init (0.5.15-0ubuntu3.1) maverick-proposed; urgency=low

  * add ability to configure Acquire::http::Pipeline-Depth via
    cloud-config setting 'apt_pipelining' (LP: #948461)
  * debian/cloud-init.postinst: address population of apt_pipeline 
    setting on installation.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Mar 2012 14:36:07 -0400

cloud-init (0.5.15-0ubuntu3) maverick; urgency=low

  * do not use ec2 ubuntu archive if instance is VPC (LP: #615545)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Sep 2010 04:28:55 -0400

cloud-init (0.5.15-0ubuntu2) maverick; urgency=low

  * grub-legacy-ec2: boot with console=hvc0 (LP: #606373)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 15 Sep 2010 16:41:48 -0400

cloud-init (0.5.15-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * fix /etc/fstab cloudconfig entries for t1.micro and
    change default fstab values for ephemeral0 to nobootwait (LP: #634102)
  * grub-legacy-ec2: do not write chainload for grub2 to menu.lst
    (LP: #627451)
  * seed grub-pc correctly so update-grub runs on ec2 or uec(LP: #623609)

 -- Scott Moser <smoser@ubuntu.com>  Sun, 12 Sep 2010 15:23:39 -0400

cloud-init (0.5.14-0ubuntu5) maverick; urgency=low

  * add missing imports for cc_puppet (LP: #632744)
  * append to apt_sources files rather than truncating (LP: #627597)
  * get double commented lines into sources.list (LP: #627439)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Sep 2010 10:31:58 -0400

cloud-init (0.5.14-0ubuntu4) maverick; urgency=low

  * add commented out entries for partner, backports, and multiverse
    (LP: #620572)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 26 Aug 2010 16:44:48 -0400

cloud-init (0.5.14-0ubuntu3) maverick; urgency=low

  * fix syntax error in cloudinit/util.py (failed installation)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Aug 2010 22:22:06 -0400

cloud-init (0.5.14-0ubuntu2) maverick; urgency=low

  * fix bug preventing 'seedfrom' from working (LP:617400)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Aug 2010 15:49:13 -0400

cloud-init (0.5.14-0ubuntu1) maverick; urgency=low

  * New upstream release.
   - support for reading metadata and userdata from filesystem
   - support for boot without metadata at all

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Aug 2010 14:45:28 -0400

cloud-init (0.5.13-0ubuntu3) maverick; urgency=low

  * grub-legacy-ec2: fix 'apt-get --reinstall' and dpkg-divert (LP: #611812)
  * enable -virtual kernels as "xen" kernels (pv_ops now functional)
  * fix bad syntax in cloud-init-run-module.py

 -- Scott Moser <smoser@ubuntu.com>  Mon, 02 Aug 2010 16:26:48 -0400

cloud-init (0.5.13-0ubuntu2) maverick; urgency=low

  * debian/control: drop ssh-import as a recommends, as this has been
    subsumed by openssh-server

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 24 Jul 2010 21:02:40 +0200

cloud-init (0.5.13-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * invoke dpkg with --force-confold (LP: #607642)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Jul 2010 11:58:53 -0400

cloud-init (0.5.12-0ubuntu8) maverick; urgency=low

  * update-grub-legacy-ec2:
    - add code to stop use of 'uuid' grub syntax
    - change fallback grub device from (hd0,0) to (hd0)
    - change timeout in menu.lst to 0
  * grub-legacy-ec2: add grub-set-default functionality (LP: #605961)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Jul 2010 13:07:01 -0400

cloud-init (0.5.12-0ubuntu7) maverick; urgency=low

  * update-grub-legacy-ec2:                                                     
    - force setting of indomU so output of build process has
      a menu.lst with -ec2 kernels listed.
    - remove 'quite splash' from kernel options
    - make sure grub_root_device is set to hd0 in image build

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Jul 2010 16:33:51 -0400

cloud-init (0.5.12-0ubuntu6) maverick; urgency=low

  * fix installation error
  * add quilt-setup rule for package development 

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Jul 2010 12:04:21 -0400

cloud-init (0.5.12-0ubuntu5) maverick; urgency=low

  * sync with upstream r226.
  * fix bug where nfs/network mounts could not be specified (LP: #603329)
  * manage hostname setting better (LP: #596993)
  * add legacy-grub-ec2 package.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 08 Jul 2010 22:24:59 -0400

cloud-init (0.5.12-0ubuntu4) maverick; urgency=low

  * handle hostname managing better with ebs root. (LP: #596993)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Jul 2010 11:54:10 -0400

cloud-init (0.5.12-0ubuntu3) maverick; urgency=low

  * fix cloud-boothook input type (LP: #600799)
  * sync with upstream.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Jul 2010 21:19:13 -0400

cloud-init (0.5.12-0ubuntu2) maverick; urgency=low

  * fix cloud config 'apt-update-upgrade' failure due to missing import

 -- Scott Moser <smoser@ubuntu.com>  Mon, 21 Jun 2010 15:08:32 -0400

cloud-init (0.5.12-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * fix cloud-init-run-module to allow 'always' (LP: #568139)
  * add support for setting debconf selections 
  * add cloud-config support for debconf selections (LP: #582667),
    byobu enablement, and ssh-import-lp-id

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 15:48:14 -0400

cloud-init (0.5.11-0ubuntu2) maverick; urgency=low

  * handle renaming sem/markers for config items to avoid
    running per-instance again after package upgrade
  * pull 'config-' prefix on sem/ items for cloud-config modules from
    0.5.12

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 12:52:10 -0400

cloud-init (0.5.11-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * remove ec2-get-info.  It is replaced by cloudutils ec2metadata
  * use python logging
  * reduce number of upstart jobs
  * add "boothook" user data type
  * Switch to dpkg-source 3.0 (quilt) format

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 01:04:58 -0400


