## cloud-init 0.6.1

=== debian/changelog ===
cloud-init (0.6.1-0ubuntu8) natty; urgency=low

  * instead of including /boot/grub, create it in postinst
    of grub-legacy-ec2.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Apr 2011 13:01:17 -0400

cloud-init (0.6.1-0ubuntu7) natty; urgency=low

  * grub-legacy-ec2: add /boot/grub directory so installation does
    not depend on it already existing (LP: #759885)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 Apr 2011 11:03:04 -0400

cloud-init (0.6.1-0ubuntu6) natty; urgency=low

  * avoid upgrade prompt for grub-pc when devices are named xvdX (LP: #752361)
  * catchup to trunk cloud-init (rev 395)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 06 Apr 2011 06:46:55 -0400

cloud-init (0.6.1-0ubuntu5) natty; urgency=low

  * fix --purge of grub-legacy-ec2 package (LP: #749444)
  * catchup to trunk cloud-init (rev 394)
  * support user-data formated in dos format by converting to unix for
    user-scripts, boothooks, and upstart jobs (LP: #744965)
  * removal of some debug code, minor documentation fix

 -- Scott Moser <smoser@ubuntu.com>  Mon, 04 Apr 2011 13:20:27 -0400

cloud-init (0.6.1-0ubuntu4) natty; urgency=low

  * catch up to trunk cloud-init (rev 389).
  * fix bug in part-handler code, that broke part handlers (LP: #739694)
  * fix sporadic resizefs failure (LP: #726938)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 21 Mar 2011 22:06:59 -0400

cloud-init (0.6.1-0ubuntu3) natty; urgency=low

  * catch up to trunk cloud-init (rev 385).
  * attempt to install packages on failed apt-get update (LP: #728167)
  * enabled timezone and mcollective cloud-config plugins

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2011 21:17:21 -0500

cloud-init (0.6.1-0ubuntu2) natty; urgency=low

  * grub-legacy-ec2: Use dpkg-query --control-path instead of hard-coding a
    path to debconf templates file, for compatibility with multiarch.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Mar 2011 23:23:55 -0500

cloud-init (0.6.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * fix for puppet configuration options (LP: #709946) [Ryan Lane]
  * fix pickling of DataSource, which broke seeding.
  * turn resize_rootfs default to True
  * avoid mounts in DataSourceOVF if 'read' on device fails
    'mount /dev/sr0' for an empty virtual cdrom device was taking 18 seconds
  * add 'manual_cache_clean' option to select manual cleaning of
    the /var/lib/cloud/instance/ link, for a data source that might
    not be present on every boot
  * make DataSourceEc2 retries and timeout configurable
  * add 'bootcmd' like 'runcmd' to cloud-config syntax for running things early
  * move from '#opt_include' in config file format to conf_d.
    now local config files should live in /etc/cloud/cloud.cfg.d/
  * move /etc/cloud/distro.cfg to /etc/cloud/cloud.cfg.d/90_dpkg.cfg
  * allow /etc/hosts to be written from hosts.tmpl. which allows
    getting local-hostname into /etc/hosts (LP: #720440)
  * better handle startup if there is no eth0 (LP: #714807)
  * update rather than append in puppet config [Marc Cluet]
  * add cloud-config for mcollective [Marc Cluet]

 -- Scott Moser <smoser@ubuntu.com>  Sat, 19 Feb 2011 01:16:10 -0500

cloud-init (0.6.0-0ubuntu4) natty; urgency=low

  * fix running of user scripts (LP: #711480) (cherry pick 344) 
  * fix 2 lintian warnings

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Feb 2011 16:15:30 -0500

cloud-init (0.6.0-0ubuntu3) natty; urgency=low

  * make a better attempt at deciding if DataSourceEc2 should be used
    on first install or upgrade
  * fix behavior if def_log_file is empty in cloud-config (cherry pick 333)
  * improve comment strings in rsyslog config (cherry pick 334)
  * do not package cloud-init query (cherry pick 335)
  * add previous-instance-id and previous-datasource to cloud/data
    and cloud/instance/datasource files (cherry pick 337)
  * allow setting of passwords and enabling/disabling ssh password auth
    via cloud-config (cherry pick 338)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 31 Jan 2011 12:48:39 -0500

cloud-init (0.6.0-0ubuntu2) natty; urgency=low

  * add a debian/README.source file
  * fix bug in fixing permission on /var/log/cloud-init.log (cherry pick)
  * remove dependency on update-motd as updates-check was removed
  * fix failure on cloud-init package purge
  * add configuration of DataSources via debconf. Default to not searching
    Ec2. (LP: #635188)
  * fix naming of pre-processed (now user-data.txt.i) (cherry pick)
  * upgrade existing content in /var/lib/cloud to 0.6.x format

 -- Scott Moser <smoser@ubuntu.com>  Thu, 27 Jan 2011 16:32:44 -0500

cloud-init (0.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * fix permissions on cloud-init.log so syslog can write to it (LP: ##704509)
  * rework of /var/lib/cloud layout
  * remove updates-check (LP: #653220)
  * support resizing root partition on first boot (enabled by default)
  * added cloud-config options for setting hostname, phone_home
  * indicate "all the way up" with message to console and file creation
    in /var/lib/cloud/instance/ (LP: #653271)
  * write ssh keys to console late in boot to ensure they're in console buffer
  * add support for redirecting output of cloud-init, cloud-config, 
    cloud-final via the config file, or user data config file
  * add support for posting data about the instance to a url (phone_home)
  * add minimal OVF transport (iso) support
  * make DataSources that are attempted dynamic and configurable from
    config. config option 'cloud_type' replaced by 'datasource_list'
  * add 'timezone' option to cloud-config (LP: #645458)
  * Added an additional archive format, that can be used for multi-part
    input to cloud-init.  This may be more user friendly then mime-multipart
    (LP: #641504)
  * add support for reading Rightscale style user data (LP: #668400)
  * make the message on 'disable_root' more clear (LP: #672417)
  * do not require public key if private is given in ssh cloud-config 
    (LP: #648905)


