=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Scott Moser <smoser@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 5.0.38), python, python-central (>= 0.5.6), po-debconf
 XS-Python-Version: all
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: cloud-init
 Architecture: all
-Depends: python, procps, python-configobj, python-cheetah, update-motd, python-yaml, python-software-properties, cloud-utils, ${python:Depends}, ${misc:Depends}
+Depends: python, procps, python-configobj, python-cheetah, python-yaml, python-software-properties, cloud-utils, ${python:Depends}, ${misc:Depends}
 Provides: ec2-init
 Replaces: ec2-init (<<0.5.3)
 Conflicts: ec2-init (<<0.5.3)
