## cloud-init 0.6.3

=== debian/changelog ===
cloud-init (0.6.3-0ubuntu1.4) precise-proposed; urgency=high

  * lp-1100491-fix-broken-add-sources.patch: fix use of
    'apt_sources' in cloud-config.  (LP: #1100491)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 16 Jan 2013 17:19:50 -0500

cloud-init (0.6.3-0ubuntu1.3) precise-proposed; urgency=low

  * debian/patches/lp-1070345-landscape-restart-after-change.patch,
    debian/patches/lp-1066115-landscape-install-fix-perms.patch:
    fix missing or incorrect imports (LP: #1070345, LP: #1066115).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 13 Dec 2012 12:16:56 -0500

cloud-init (0.6.3-0ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/lp-978127-maas-oauth-fix-bad-clock.patch: fix usage of
    oauth in maas data source if local system has a bad clock (LP: #978127)
  * debian/cloud-init.preinst: fix bug where user data scripts re-ran on
    upgrade from 10.04 versions (LP: #1049146)
  * debian/patches/lp-974509-detect-dns-server-redirection.patch: detect dns
    server redirection and disable searching dns for a mirror named
    'ubuntu-mirror' (LP: #974509)
  * debian/patches/lp-1018554-shutdown-message-to-console.patch: write a
    message to the console on system shutdown. (LP: #1018554)
  * debian/patches/lp-1066115-landscape-install-fix-perms.patch: install
    landscape package if needed which will ensure proper permissions on config
    file (LP: #1066115).
  * debian/patches/lp-1070345-landscape-restart-after-change.patch: restart
    landscape after modifying config (LP: #1070345)
  * debian/patches/lp-1073077-zsh-workaround-for-locale_warn.patch: avoid
    warning when user's shell is zsh (LP: #1073077)
  * debian/patches/rework-mirror-selection.patch: improve mirror selection by:
    * allowing region/availability-zone to be part of mirror (LP: #1037727)
    * making mirror selection arch aware (LP: #1028501)
    * allow specification of a security mirror (LP: #1006963)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Nov 2012 17:01:54 -0500

cloud-init (0.6.3-0ubuntu1.1) precise-proposed; urgency=low

  [Thomas Hervé]
  * if configuration enables landscape, then set RUN=1 in /etc/default/landscape
    (LP: #1042758)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 02 Oct 2012 10:59:05 -0400

cloud-init (0.6.3-0ubuntu1) precise; urgency=low

  * New upstream release.
    * improve chef examples for working configurations on 11.10 and 12.04
      [Lorin Hochstein] (LP: #960564)
    * fix bug in landscape module if /etc/landscape did not exist
      (LP: #978329)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Apr 2012 00:05:00 -0400

cloud-init (0.6.3~bzr554-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * Fix bug in Chef support that required 'validation_cert' (LP: #960547)
    * Provide user-friendly message when a user ssh's in with an invalid
      locale (LP: #960547)
    * Support reading a url reference to cloud-config from the kernel
      command line.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 Apr 2012 01:24:42 -0400

cloud-init (0.6.3~bzr551-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * support running resize2fs in the background (default=off) (LP: #961226)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Mar 2012 14:33:59 -0400

cloud-init (0.6.3~bzr548-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * If public-keys is a string, split it into multiple keys on newline
      This specifically helps the MAAS data source, and should not negatively
      affect others.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 19 Mar 2012 13:50:50 -0400

cloud-init (0.6.3~bzr547-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * rename DataSourceMaaS to DataSourceMAAS.
    * support public-keys in DataSourceMAAS
    * Warn in user-data processing on non-multipart, non-handled data 
    * CloudStack data source added (not enabled by default)
  * fix bug in cloud-init.postinst where the name used was wrong
    causing config-apt-pipelining to run more than intended

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Mar 2012 14:12:38 -0400

cloud-init (0.6.3~bzr539-0ubuntu3) precise; urgency=low

  * make maas config file only readable by root (LP: #954721)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Mar 2012 01:19:32 -0400

cloud-init (0.6.3~bzr539-0ubuntu2) precise; urgency=low

  [Cosmin Luta]
  * add dependency on python-oauth (LP: #953915)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Mar 2012 11:36:11 -0400

cloud-init (0.6.3~bzr539-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * add ability to configure Acquire::http::Pipeline-Depth via
      cloud-config setting 'apt_pipelining' (LP: #942061)
    * if cloud-config settings removed default certificats
      (remove-defaults), then seed package ca-certificates to not
      install new ones on upgrade.
    * run-parts now uses internal implementation rather than
      separate command.
    * add MaaS datasource (LP: #942061)
  * debian/cloud-init.postinst: address population of apt_pipeline 
    setting on installation.
  * debian/cloud-init.postinst: support configuring cloud-init
    maas datasource via preseed values cloud-init/maas-metadata-url and
    cloud-init/maas-credentials. (LP: #942061)
  * debian/cloud-init.postinst: support for (LP: #924375)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Mar 2012 16:37:01 -0500

cloud-init (0.6.3~bzr530-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - fix DataSourceNoCloud seeded from local or cmdline (LP: #942695)
    - change 'islxc' to 'iscontainer' and use 'running-in-container' utility
      from upstart rather than 'lxc-is-container' (LP: #941955)
    - Do not fail on bad part handlers, instead catch error and log

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Feb 2012 19:15:19 -0500

cloud-init (0.6.3~bzr527-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - exit 0 in cloud-init if no metadata is found (nothing to do)
    - documentation improvements

