=== debian/changelog ===
cloud-init (0.7.0-0ubuntu2) quantal; urgency=low

  * config-drive: copy metadata entry 'hostname' to 'local-hostname' to fix
    config modules (set_hostname) will function as expected (LP: #1061964)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Oct 2012 11:45:15 -0400

cloud-init (0.7.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    * minor change to oauth header fix (LP: #978127).
    * incorporation of 0.7.0 upstream release.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Oct 2012 14:19:46 -0400

cloud-init (0.7.0~bzr677-0ubuntu1) quantal; urgency=low

  * add CloudStack to DataSources listed by dpkg-reconfigure (LP: #1002155)
  * New upstream snapshot.
    * 0440 permissions on /etc/sudoers.d files rather than 0644
    * get host ssh keys to the console (LP: #1055688)
    * MAAS DataSource adjust timestamp in oauth header to one based on the
      timestamp in the response of a 403.  This accounts for a bad local
      clock. (LP: #978127)
    * re-start the salt daemon rather than start to ensure config changes
      are taken.
    * allow for python unicode types in yaml that is loaded.
    * cleanup in how config modules get at users and groups.

 -- Scott Moser <smoser@ubuntu.com>  Sun, 30 Sep 2012 14:29:04 -0400

cloud-init (0.7.0~bzr659-0ubuntu2) quantal; urgency=low

  * debian/cloud-init.templates: fix bad template file (LP: #1053239)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Sep 2012 09:18:20 -0400

cloud-init (0.7.0~bzr659-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * add signal handlers to more cleanly exit
    * add logging fallback in case logging fails
    * documentation fix for landscape config (LP: #1042764)
    * do not write a comment in /etc/hostname (LP: #1052664)
    * fix incorrect ubuntu mirrors for 'ports' arches [Robbie Basak]
    * fix generation of hostname based on ip address in datasource 
      (LP: #1050962) [Andy Grimm]
    * remove 'start networking' from cloud-init-nonet and replace it
      with container specific fixes (LP: #1031065)
    * fix landscape configuration so client will run (LP: #1042758)
    * enable all available datasources (adding AltCloud and None)
    * fix bug where user data scripts re-ran on upgrade from 10.04 versions
      (LP: #1049146)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 19 Sep 2012 22:08:51 -0400

cloud-init (0.7.0~bzr644-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix cloud-archives (LP: #1044594)
    * fix set_passwords for usergroups as a list (LP: #1044553)
  * fix 'failed to setup apt-pipelining' warning on install due to
    old 0.6 style usage of cloud-init.

 -- Scott Moser <smoser@ubuntu.com>  Sat, 01 Sep 2012 20:11:34 -0400

cloud-init (0.7.0~bzr642-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * support using launch-index (ami-launch-index) (LP: #1023177)
    * usergroup related fixes (LP: #1041384, #1044044, #1044508)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 31 Aug 2012 17:04:06 -0400

cloud-init (0.7.0~bzr639-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix broken ssh_import_id, which would give stack trace

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Aug 2012 14:09:47 -0400

cloud-init (0.7.0~bzr637-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix issue with public keys not being added to 'ubuntu' user
      since the user was not created yet. (LP: #1042459)
    * only search the top level domain 'instance-data' for the EC2
      metadata service, to avoid misconfiguration or unexpected results
      by searching search entries in /etc/resolv.conf (LP: #1040200)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 27 Aug 2012 20:27:06 -0400

cloud-init (0.7.0~bzr634-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * support for datasource from config-drive-v2 (LP: #1037567)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 24 Aug 2012 17:24:26 -0400

cloud-init (0.7.0~bzr633-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * support creating users on boot. remove requirement for a 'ubuntu'
      user to be previously present in image. (LP: #1028503)
    * add experimental apt_reboot_if_required flag to reboot if necessary
      after upgrade or package install (LP: #1038108)
    * improve mirror selection for a distro: 
      * support arm mirrors (LP: #1028501)
      * support seeding security mirror (LP: #1006963)
      * support dns mirrors including availability-zone reference
        (LP: #1037727)
    * include a "None" datasource so items like ssh host key generation
      occur if there is no other metadata service. (LP: #906669)
    * print authorized_keys for users to the console (LP: #1010582)
    * Add RHEVm and vSphere support as datasource AltCloud [Joseph VLcek]

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 Aug 2012 01:06:34 -0400

cloud-init (0.7.0~bzr614-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * disable searching for 'ubuntu-mirror' in local dns to find a
      local mirror (LP: #974509)
    * emit the cloud-config event (LP: #1028674) 
    * write timestamps to console on reboot and shutdown (LP: #1018554)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Aug 2012 14:55:37 -0400

cloud-init (0.7.0~bzr608-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix issue with EC2 datasource that prevented /mnt from being mounted.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 16 Jul 2012 16:49:55 -0400

cloud-init (0.7.0~bzr604-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * add cc_write_file for injecting files via cloud-config (LP: #1012854)
    * fix issue with empty user data
    * remove some un-needed warnings to console output in DataSourceOVF
    * allow user-data scripts output through to the console

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Jul 2012 16:11:01 -0400

cloud-init (0.7.0~bzr583-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
  * debian/control: wrap-and-sort

