=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                pyflakes,
                pylint,
                python (>= 2.6.6-3~),
+               python-mocker,
                python-nose,
-               python-mocker,
+               python-setuptools
 XS-Python-Version: all
 Standards-Version: 3.9.3
 
@@ -19,11 +20,14 @@
          ifupdown (>= 0.6.10ubuntu5),
          procps,
          python,
+         python-argparse,
+         python-boto,
          python-cheetah,
          python-configobj,
          python-oauth,
-         python-software-properties,
+         python-prettytable,
          python-yaml,
+         software-properties-common,
          ${misc:Depends},
          ${python:Depends}
 Provides: ec2-init
@@ -35,7 +39,10 @@
  to retrieve and install ssh keys and to let the user run various scripts.
 
 Package: grub-legacy-ec2
-Depends: debconf (>= 1.5.19) | cdebconf, util-linux (>= 2.15-1), ${misc:Depends}
+Depends: debconf (>= 1.5.19) | cdebconf,
+         ucf,
+         util-linux (>= 2.15-1),
+         ${misc:Depends}
 Conflicts: grub
 Suggests: grub-legacy-doc
 Architecture: all
