=== debian/changelog ===
cloud-init (0.7.1-0ubuntu5) raring; urgency=low

  * catchup-751-760.patch (sync to 760)
    * DataSourceConfigDrive: allow config-drive data to come from a 
      CD-ROM (LP: #1100545)
    * Allow 'sr0' to be used as a source for mount config [Vlastimil Holer]
    * do not log passwords provided via config (LP: #1096417)
    * DataSourceCloudStack: Attempt to find the 'virtual router' as provided
      from dhcp responses, rather than assuming it is the default route 
      (LP: #1089989) [Gerard Dethier]
      in the CloudStack environment use virtual router rather than default route 
    * notify upstart after writing upstart jobs to support filesystems that
      do not support inotify such as overlayfs (LP: #1080841)
    * fix cloud-config 'lock_password' user setup (LP: #1096423)
  * debian/README.source: minor improvements.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jan 2013 10:12:34 -0500

cloud-init (0.7.1-0ubuntu4) raring; urgency=low

  * cherry pick relevant patches from trunk up to revision 750
  * use short form of '--stderr' argument to logger for better cross
    distro support (LP: #1083715)
  * puppet: make installation configurable (LP: #1090205)
  * chef: add omnibus installation method
  * fix allowing cloud-config input via user-data to affect the
    apt mirror selection (LP: #090482)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Dec 2012 10:48:23 -0500

cloud-init (0.7.1-0ubuntu3) raring; urgency=low

  * cherry pick relevant patches from trunk up to revision 745
  * fix writing of sudoers when suders rule is a string rather than
    an array (LP: #1079002)
  * add trailing slash to sudoers files that are written
  * fix resizefs module when 'noblock' was provided (LP: #1080985)
  * make sure there is no blank line before cloud-init entry in
    there are no blank lines in /etc/ca-certificates.conf (LP: #1077020)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 03 Dec 2012 21:45:48 -0500

cloud-init (0.7.1-0ubuntu2) raring; urgency=low

  * debian/watch: add watch file
  * add 'ubuntu' user to sudoers (LP: #1080717)
  * set 'ubuntu' user shell to bash

 -- Scott Moser <smoser@ubuntu.com>  Mon, 19 Nov 2012 09:38:29 -0500

cloud-init (0.7.1-0ubuntu1) raring; urgency=low

  * New upstream release.
    * landscape: install landscape-client package if not installed.
      only take action if cloud-config is present (LP: #1066115)
    * landscape: restart landscape after install or config (LP: #1070345)
    * multipart/archive: do not fail on unknown headers in multipart
      mime or cloud-archive config (LP: #1065116).
    * tools/Z99-cloud-locale-test.sh: avoid warning when user's shell is
      zsh (LP: #1073077)
    * fix stack trace when unknown user-data input had unicode (LP: #1075756)
    * split 'apt-update-upgrade' config module into 'apt-configure' and
      'package-update-upgrade-install'.  The 'package-update-upgrade-install'
      will be a cross distro module.
    * fix bug where cloud-config from user-data could not affect system_info
      settings (LP: #1076811)
    * add yum_add_repo configuration module for adding additional yum repos
    * fix public key importing with config-drive-v2 datasource (LP: #1077700)
    * handle renaming and fixing up of marker names (LP: #1075980)
      this relieves that burden from the distro/packaging.
    * group config: fix how group members weren't being translated correctly
      when the group: [member, member...] format was used (LP: #1077245)
    * work around an issue with boto > 0.6.0 that lazy loaded the return from 
      get_instance_metadata().  This resulted in failure for cloud-init to
      install ssh keys. (LP: #1068801)
    * add power_state_change config module for shutting down stystem after
      cloud-init finishes. (LP: #1064665)


 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Nov 2012 15:18:50 -0500
