## cloud-init 0.7.2~bzr809

=== debian/changelog ===
cloud-init (0.7.2~bzr809-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * make apt-get invoke 'dist-upgrade' rather than 'upgrade' for
      package_upgrade. (LP: #1164147)
    * workaround 2.6 kernel issue that stopped blkid from showing /dev/sr0

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 Apr 2013 12:55:51 -0400

cloud-init (0.7.2~bzr804-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * use python-requests rather than urllib2 for http (LP: #1067888)
    * handle failure of resizefs better.  Specifically, do not show
      warnings or stack trace in lxc (LP: #1160462)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 27 Mar 2013 10:04:41 -0400

cloud-init (0.7.2~bzr795-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * documentation on write-files module (LP: #1111205)
    * support for specifying package versions in package installs
    * DataSourceNoCloud: allow specifyin user-data and meta-data in
      the datasource config (LP: #1115833)
    * work around bug in upstart for now (1124384)
    * support resizing btrfs fileystems
    * parse ssh keys more correctly (LP: #1136343)
    * upstart/cloud-init-nonet.conf: handle sigterm gracefully (LP: #1015223)
    * support growing partitions (LP: #1136936)
    * use --force-unsafe-io for dpkg installations to improve speed
      This is sane as it happens on instance initialization.
    * more powerful and user-suppliable cloud-config merge mechanisms
      (LP: #1023179)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Mar 2013 17:33:59 -0500
