## cloud-init 0.7.2

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,10 @@
 YAML_FILES=$(shell find cloudinit bin tests tools -name "*.yaml" -type f )
 YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )
 
+CHANGELOG_VERSION=$(shell $(CWD)/tools/read-version)
+CODE_VERSION=$(shell python -c "from cloudinit import version; print version.version_string()")
 
-all: test
+all: test check_version
 
 pep8:
 	@$(CWD)/tools/run-pep8 $(PY_FILES)
@@ -19,6 +21,12 @@
 
 test:
 	@nosetests $(noseopts) tests/
+
+check_version:
+	@if [ "$(CHANGELOG_VERSION)" != "$(CODE_VERSION)" ]; then \
+        echo "Error: ChangeLog version $(CHANGELOG_VERSION)" \
+        	  "not equal to code version $(CODE_VERSION)"; exit 2; \
+    else true; fi
 
 2to3:
 	2to3 $(PY_FILES)
@@ -36,5 +44,5 @@
 deb:
 	./packages/bddeb
 
-.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb yaml
+.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb yaml check_version
