=== debian/changelog ===
cloud-init (0.7.2-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Aug 2013 11:49:43 +0000

cloud-init (0.7.2-3) unstable; urgency=low

  [ Charles Plessy ]
  * Added python-requests to build dependencies (Closes: #711797). 
  * Conforms with Policy 3.9.4.
  * Depend on ${python:Depends}.
  * Description and Debconf messages reviewed by the Smith project.
    Closes: #710444, thanks to Justin B Rye and Christian Perrier.
  * German translation (Closes: #714738, thanks to Chris Leick).
  * Swedish translation (Closes: #714646, thanks to Martin Bagge).
  * French translation (Closes: #714608, thanks to Julien Patriarca). 
  * Russian translation (Closes: #714093, #715168, thanks to Yuri Kozlov).
  * Danish translation (Closes: #714785, thanks to Joe Dalton).
  * Czech tranlsation (Closes: #714356, thanks to Michal Šimůnek).
  * Portugese tranlsation (Closes: #715241, thanks to Américo Monteiro).
  * Japanese translation (Closes: #715500, thanks to victory).
  * Italian translation (Closes: #715390, thanks to Beatrice Torracca).
  * Polish translation (Closes: #715799, thanks to Michał Kułach).

  [ Thomas Goirand ]
  * Added missing init scripts cloud-init-local, cloud-init-final and
    cloud-config, to run cloud-init as below (Closes: #709173):
    - modules --mode config (cloud-config)
    - modules --mode final (cloud-init-final)
    - init --local (cloud-init-local)
  * Reads the currently set value in /etc/cloud/cloud.cfg.d/90_dpkg.cfg to
    db_set the value of cloud-init/datasources (Closes: #709773).
  * Check if upstart is init in all init scripts (Closes: #712985). Thanks to
    Dmitrijs Ledkovs for reporting and his patch in the BTS.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2013 23:10:34 +0800

cloud-init (0.7.2-1) unstable; urgency=low

  * New upstream release.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Charles Plessy ]
  * Build-depends on python-setuptools and python-yaml. Closes: #707443
  * Normalised debian/control with config-model-edit (this drops some
    constraints on packages versions that are satisfied even in oldstable).

  [ Thomas Goirand ]
  * Made the "make test" respect DEB_BUILD_OPTIONS=nocheck.
  * Added X-Start-Before: sshd in debian/cloud-init.init, since cloud-init must
    fix the sshd host keys before it starts.
  * Added a patch of the test suite to use /sbin/blkid and not just blkid, as
    otherwise, the unit test fails.
  * Adds internationalization of the debconf messages (eg: po folder, etc.).
  * Adds a patch to disable a RHEL test (set hostname) which fails (of course,
    we don't really care about such test in Debian).
  * Added missing dependency: python-requests.
  * Added myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 May 2013 16:29:45 +0000

cloud-init (0.7.1-3) unstable; urgency=low

  * Depends on python-prettytable

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 16:11:48 +0100

cloud-init (0.7.1-2) unstable; urgency=low

  * Depends on python 2.7 or python-argparse
  * Depends on the right version of python-boto
  * Fix description issue with line leading with dot

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 10:50:43 +0100

cloud-init (0.7.1-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * Remove unowned files in /etc/apt/apt.conf.d/ after purge. (Closes: #674237).
  * Fix versioned dependency on ifupdown, otherwise is uninstallable.
  * Fix Vcs-Svn URL.
  * Add myself as Uploader.

  [ Julien Danjou ]
  * New upstream release.
  * Add myself as Uploader.
  * Add missing python-boto dependency.
  * Add fix-cfg-builtin.patch to set syslog_fix_perms to root:adm by
    default since we don't have any syslog user in Debian.
  * Depends on Python >= 2.7, at least because subprocess needs
    check_output method.
  * Drop CDBS
  * Add init scripts
  * Update description (Closes: #695326)

 -- Julien Danjou <acid@debian.org>  Mon, 28 Jan 2013 10:49:10 +0100

cloud-init (0.6.3-2) experimental; urgency=low

  * First version in Debian (Closes: #672375).
  * Do not depend on cloud-utils, which is only in Ubuntu. 

 -- Charles Plessy <plessy@debian.org>  Wed, 23 May 2012 09:26:29 +0900

cloud-init (0.6.3-1) experimental; urgency=low

  * Debian package based on Ubuntu's package.
  * Machine-readable debian/copyright file; discarded extra information.
  * Documented homepage and VCS URLs in debian/control.
  * Remove ec2-init package and support for upgrade.
  * Added a watch file to track the download link on the homepage.
  * http://wiki.debian.org/Python/TransitionToDHPython2
    - Removed debian/pycompat.
    - Build-depend on CDBS >= 0.4.90~.
    - Removed XS-Python-Version and XB-Python-Version in debian/control.
  * Use Debhelper 9 (debian/control, debian/compat). 
  * Removed debian/cloud-init.prerm as /etc/cron.d/cloudinit-updates
    seems to have been removed from the package earlier.
  * Removed unneeded debian/dirs debian/cloud-init.install.
  * Removed grub-legacy-ec2, to be packaged elsewhere, see #672104.
  * Priority optional as there is no conflict anymore (debian/control).
  * Extended cloud-init's description (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sat, 19 May 2012 13:37:20 +0900
