=== debian/control ===
Source: cloud-init
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               po-debconf,
               pyflakes,
               pylint,
               python,
               python-configobj,
               python-oauth,
               python-boto (>= 2.3),
               python-cheetah,
               python-requests,
               python-yaml,
               python-mocker,
               python-nose,
               python-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cloud-init/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cloud-init/trunk/
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends: lsb-base (>= 4.1+Debian3),
         ifupdown,
         procps,
         python,
         python (>= 2.7) | python-argparse,
         python-boto (>= 2.3),
         python-cheetah,
         python-configobj,
         python-oauth,
         python-requests,
         python-prettytable,
         python-yaml,
         python-software-properties,
         ${misc:Depends},
         ${python:Depends}
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.
